%define name ippl
%define version 1.99.5
%define release 4mdk

Summary: Logs TCP, ICMP and UDP connections.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.via.ecp.fr/~hugo/ippl/
Source: %{name}-%{version}.tar.bz2
Source2: ippl.init
Source3: ippl.log
Patch0: %{name}-log.patch.bz2
License: GPL
Group: Monitoring
Buildrequires:	libpcap-devel
Buildroot: %{_tmppath}/%{name}-buildroot
Prereq: /sbin/chkconfig

%description
ippl is a configurable IP protocols logger. It currently logs incoming ICMP
messages, TCP connections and UDP datagrams. It is configured with
Apache-like rules and has a built-in DNS cache. It is aimed to replace
iplogger.

%prep

%setup -q

%patch0 -p0 -b .log

%build

%configure --with-user=nobody

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/%{_sysconfdir}
mkdir $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d
mkdir $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
mkdir $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
mkdir $RPM_BUILD_ROOT/var
mkdir $RPM_BUILD_ROOT/var/log
mkdir $RPM_BUILD_ROOT/var/log/ippl

make ROOT=$RPM_BUILD_ROOT install

touch $RPM_BUILD_ROOT/var/log/ippl/all.log
install -m755 $RPM_SOURCE_DIR/ippl.init \
              $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/ippl
install -m644 $RPM_SOURCE_DIR/ippl.log \
              $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ippl


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ippl

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del ippl
fi


%files
%defattr(-,root,root)
%doc BUGS CREDITS HISTORY INSTALL LICENSE README TODO
%config(noreplace) %{_sysconfdir}/ippl.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/ippl
%config(noreplace) %{_sysconfdir}/logrotate.d/ippl
# %dir /var/log/ippl
%config /var/log/ippl/all.log
%{_mandir}/man5/ippl.conf.*
%{_mandir}/man8/ippl.*
%{_sbindir}/*

%changelog
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.99.5-4mdk
- buildrequires

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.99.5-3mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandraksoft.com> 1.99.5-2mdk
- rebuild

* Mon Aug 27 2001 Lenny Cartier <lenny@mandraksoft.com> 1.99.5-1mdk
- 1.99.5

* Wed Aug 01 2001 Lenny Cartier <lenny@mandraksoft.com> 1.4.13-1mdk
- updated to 1.4.13

* Tue Jan 12 2001 Lenny Cartier <lenny@mandraksoft.com> 1.4.12-1mdk
- updated to 1.4.12

* Thu Sep 07 2000 Lenny Cartier <lenny@mandraksoft.com> 1.4.9-3mdk
- BM
- macros 

* Fri Apr 28 2000 Lenny Cartier <lenny@mandraksoft.com> 1.4.9-2mdk
- fix group
- fix files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build 

* Mon Jan 10 2000 Curtis Ireland <cireland@vsynth.carleton.ca>
- Adjust logrotate

* Mon Dec 06 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Rebuild for RedHat 6.x
- Resign packages due to loss of PGP keys

* Wed Oct 15 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.8
- Fix /var/log/ippl/all.log so that new versions don't overwrite old ones

* Wed Sep 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.7

* Wed Aug 11 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
-Fixed location of logs in logrotate file

* Thu Jun 17 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.6

* Wed Apr 20 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.5

* Tue Apr 13 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.3 (For archival purposes)
- Package for ippl 1.4.4

* Thu Apr 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.2

* Tue Apr 06 1999 Charles R. Anderson <cra@wpi.edu>
- Made buildable by normal user
- Added /var/log/ippl directory to package

* Mon Apr 05 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.1

* Sat Mar 27 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.0

* Mon Mar 22 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Add patch to fix ident problems

* Tue Mar 16 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.9
- Added package signature for verification

* Tue Mar 16 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.8 (Bug Fix version)
- Package for ippl 1.3.7

* Mon Mar 15 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.6 (1.3.4 -> 1.3.5 were development releases)
- Adjust script to accommodate configure script

* Mon Mar 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.3

* Mon Mar 08 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.2 (Through patch)
- Allows for compiles on libc5 systems

* Sun Mar 07 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.4
- Patch ippl 1.2.4 -> 1.3.1

* Thu Mar 04 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.2

* Mon Mar 01 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2
- ippl.conf patch to enable file logging into ippl.log

* Mon Feb 22 1999 Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.1
- PGP signed packages

* Wed Feb 17 1999 Curtis Ireland <cireland@vsynth.carlrton.ca>
- Fixed typo in the ippl.init file
- Includes /var/log/ippl.log
- Added logrotate file

* Tue Feb 16 1999 Curtis Ireland <cireland@vsynth.carlrton.ca>
- Creaded rpm from ippl package.
